Bug 1265478 - Keyboard scroll lock key only works during plymouth loading screen
Keyboard scroll lock key only works during plymouth loading screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-libinput (Show other bugs)
24
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 00:12 EDT by Steven Gruspier
Modified: 2017-08-08 08:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:15:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Gruspier 2015-09-23 00:12:05 EDT
Description of problem:

When booting Fedora 22, the scroll lock key works. This is most important because this key also functions as the LED backlight toggle. When the plymouth boot screen has finished, the scroll lock button no longer works.  

Does not work after boot when using Wayland or X11.



Version-Release number of selected component (if applicable):

Cooler Master CMStorm Devastator 


How reproducible:

Every time


Steps to Reproduce:
1. Turn on computer
2. Wait for plymouth boot screen
3. Press the scroll lock key constantly
4. Watch backlight LEDs turn on and off with each press
5. Wait for after boot screen
6. Press scroll lock key again
7. Watch as the LEDs do not turn on

Actual results:

Backlight LEDs do not turn on


Expected results:

Backlight LEDs to turn on


Additional info:


Output from dmesg regarding the device:

[    2.867056] usb 5-2: New USB device found, idVendor=258a, idProduct=0001
[    2.867058] usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    2.867059] usb 5-2: Product: USB KEYBOARD
[    2.867060] usb 5-2: Manufacturer: SINO WEALTH
[    2.875353] input: SINO WEALTH USB KEYBOARD as /devices/pci0000:00/0000:00:12.0/usb5/5-2/5-2:1.0/0003:258A:0001.0003/input/input6
[    2.926182] hid-generic 0003:258A:0001.0003: input,hidraw2: USB HID v1.10 Keyboard [SINO WEALTH USB KEYBOARD] on usb-0000:00:12.0-2/input0
[    2.938207] input: SINO WEALTH USB KEYBOARD as /devices/pci0000:00/0000:00:12.0/usb5/5-2/5-2:1.1/0003:258A:0001.0004/input/input7
[    2.989311] hid-generic 0003:258A:0001.0004: input,hiddev0,hidraw3: USB HID v1.10 Device [SINO WEALTH USB KEYBOARD] on usb-0000:00:12.0-2/input1
Comment 1 Steven Gruspier 2015-09-23 00:15:19 EDT
This is a keyboard.

Fedora 22 - Gnome - 64 Bit - Updated ~15 minutes ago
Comment 2 Peter Hutterer 2015-10-13 21:23:05 EDT
not sure what could be in libinput that stops this from working. If you boot to a VT does it still work?
Comment 3 Steven Gruspier 2015-10-14 02:44:59 EDT
Just checked, and it looks like when booting to a VT, it does work.
Comment 4 Steven Gruspier 2016-02-22 17:58:58 EST
For X11, you can use xset led 3 to turn on the backlight. I do not see a way to change this in wayland at the moment.
Comment 5 Steven Gruspier 2016-05-20 21:38:57 EDT
Update: xset led 3 no longer works on X11, so I have no backlight anymore :(

Is there anything I can do to further diagnose this?
Comment 6 Peter Hutterer 2016-05-23 02:38:22 EDT
run evemu-record against the various keyboard devices, check if there's anything showing up when you press that key. if so, then it's a userspace problem.
Comment 7 Steven Gruspier 2016-08-12 19:39:00 EDT
Yeah it looks like a user space problem as far as I can tell.
Comment 8 Fedora End Of Life 2017-07-25 15:18:27 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-08-08 08:15:41 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.